Module exceptions :: Class BaseException

[frames | no frames]

## Type BaseException

    object --+
             |
            BaseException

Known Subclasses:
  `Exception`

Common base class for all exceptions

Method Summary
| ``__init__`(...)` x.__init__(...) initializes x; see x.__class__.__doc__ for signature
| ``__delattr__`(...)` x.__delattr__('name') <==> del x.name
| ``__getattribute__`(...)` x.__getattribute__('name') <==> x.name
| `__getitem__(x, y)` Return x[y]...
| ``__getslice__`(x, i, j)` Use of negative indices is not supported.
| `__new__(T, S, ...)` Return a new object with type S, a subtype of T...
| `__reduce__(...)`
| `__repr__(x)` Return repr(x)...
| ``__setattr__`(...)` x.__setattr__('name', value) <==> x.name = value
| `__setstate__(...)`
| `__str__(x)` Return str(x)...

Class Variable Summary
`getset_descriptor` | `args` = `<attribute 'args' of 'exceptions.BaseException' o...`
`member_descriptor` | `message` = `<member 'message' of 'exceptions.BaseException...`

Method Details

### __init__(...)
(Constructor)

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

  Overrides:
    `__builtin__.object.__init__`

### __delattr__(...)

x.__delattr__('name') <==> del x.name

  Overrides:
    `__builtin__.object.__delattr__`

### __getattribute__(...)

x.__getattribute__('name') <==> x.name

  Overrides:
    `__builtin__.object.__getattribute__`

### __getslice__(x, i, j)
(Slicling operator)

Use of negative indices is not supported.

  Returns:

        x[i:j]

### __setattr__(...)

x.__setattr__('name', value) <==> x.name = value

  Overrides:
    `__builtin__.object.__setattr__`

Class Variable Details

### args

  Type:
    `getset_descriptor`
  Value:

        <attribute 'args' of 'exceptions.BaseException' objects>

### message

  Type:
    `member_descriptor`
  Value:

        <member 'message' of 'exceptions.BaseException' objects>

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:47:54 2007 | http://epydoc.sf.net